namespace GatewayService
{
    public partial class Service : System.ServiceProcess.ServiceBase
    {
        GatewayAPI.GatewayServerAPI server;

        public Service()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            server = new GatewayAPI.GatewayServerAPI();
        }

        protected override void OnStop()
        {
            server.Close();
        }
    }
}
